image: nikolaik/python-nodejs:latest

before_script:
  - python --version
  - npm -v
  - pip install -r requirements.txt
  - npm i -g xunit-viewer
  - wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | apt-key add -
  - sh -c 'echo "deb https://dl.google.com/linux/chrome/deb/ stable main" >> /etc/apt/sources.list.d/google.list'
  - apt-get update -qq
  - apt-get install -y -qq google-chrome-stable firefox-esr

stages:
  - test

pytest-integration:
  stage: test
  script:
    - python -m pytest --browser chrome firefox --headless --docker --junitxml=report.xml --html=report-pytest.html
    - xunit-viewer --results=report.xml --output=report-xunit.html

  artifacts:
    paths:
      - report.xml
      - report-pytest.html
      - report-xunit.html
    reports:
      junit: report.xml
